Subject: Re: Network performance forwarding tests on RT

From: Stephen Hemminger <[email-masked]>
Date: Fri, 7 Nov 2008 08:52:10 -0800

On Fri, 7 Nov 2008 08:03:44 +0100
"Tobias Knutsson" <[email-masked]> wrote:

> First off all, let me just say than I am relatively new to PREEMPT_RT and I
> have no experience with Vyatta. It is just that some thoughts came to me
> that might be useful to consider.
> 
> What priorities does the network related threads have? There should be one
> for the ISR and one each for the soft irq responsible for the receiving and
> transmitting of network data. Maybe adjusting some of these priorities could
> improve the situation.

What ever the default is, nothing was changed.

Remember for this test there really is no application activity. Only the hard irq
threads of the Ethernet device, and the soft irq threads from the network
scheduler (NAPI).  I made the assumption that default priority is set
to allow such that hard irq > soft irq.